Si al estar desarrollando alguna aplicación con Xamarin.Android, se despliega un mensaje como el siguiente:

Severity Code Description Project File Line Suppression State
Error Could not install package ‘Xamarin.GooglePlayServices.Maps 42.1001.0’. You are trying to install this package into a project that targets ‘MonoAndroid,Version=v6.0’, but the package does not contain any assembly references or content files that are compatible with that framework.

regularmente se debe a que no tienes una versión del Target Framework compatbile, en el caso específico anterior, se debe a que debemos de tener una versión de Android 7, versión que desde las propiedades de un proyecto Xamarin.Android podemos ver que no tenemos:

Para resolver dicho problema, ó simplemente porque deseas añadir una nueva versión de Android para compilar, éstos son los pasos a seguir:

1.- Abre la herramienta “Android SDK Manager”:

2.- En la lista de versiones de Android, debes fijarte cuáles son aquellos que tienes instalados, y cuáles no, seleccionando aquellas versiones que quieras instalar, por ejemplo, en mi caso, quiero instalar la versión de Android 7.1 (API 25):

3.- Dar click en el botón Instalar.

4.- Aceptar la licencia e Instalar.

5.- Con esto, al volver a abrir Visual Studio ya nos aparecerá la nueva versión con la que podremos compilar nuestros proyectos tipo Xamarin.Android:

Saludos.

¡Califica la publicación!
[Total: 0 Promedio: 0]

Dejar respuesta

Please enter your comment!
Please enter your name here